[1/2,archiso_pxe_common] Add timeout to ipconfig call

Message ID 20170310200106.6678-1-thurstylark@gmail.com
State New
Headers show
Series [1/2,archiso_pxe_common] Add timeout to ipconfig call | expand

Commit Message

nl6720 via arch-releng March 10, 2017, 8:01 p.m. UTC
From: David Thurstenson <thurstylark@gmail.com>

Signed-off-by: David Thurstenson <thurstylark@gmail.com>
---
 archiso/initcpio/hooks/archiso_pxe_common | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Patch

diff --git a/archiso/initcpio/hooks/archiso_pxe_common b/archiso/initcpio/hooks/archiso_pxe_common
index 422e4f7..96a10c5 100644
--- a/archiso/initcpio/hooks/archiso_pxe_common
+++ b/archiso/initcpio/hooks/archiso_pxe_common
@@ -26,7 +26,7 @@  run_hook () {
         fi
 
         # setup network and save some values
-        if ! ipconfig "ip=${ip}"; then
+        if ! ipconfig -t 20 "ip=${ip}"; then
                 echo "ERROR; Failed to configure network"
                 echo "   Falling back to interactive prompt"
                 echo "   You can try to fix the problem manually, log out when you are finished"